Subject: LDP Status Codes in draft-ietf-pwe3-control-protocol-11: section 7.2 vs. section 7.6 AND a possibly missing code

From: Sasha Vainshtein <[email-masked]>
Date: Mon, 18 Oct 2004 10:46:22 +0200

Luca and all,

Please take a look at the two sections mentioned in the subject:

<quote>
7.2. LDP status messages

   This document uses several new LDP status codes, IANA already
   maintains a registry of name "STATUS CODE NAME SPACE" defined by
   RFC3036. The following values are suggested for assignment:

      0x00000024 "Illegal C-Bit"
      0x00000025 "Wrong C-Bit"
      0x00000026 "Incompatible bit-rate"
      0x00000027 "CEP/TDM mis-configuration"
      0x00000028 "PW status"
      0x00000029 "Invalid TAI"

... snipped ...

7.6. Status codes

   RFC 3036 has a range of Status Code values which are assigned by IANA
   on a First Come, First Served basis. These additional status codes,
   and assigned Values are specified in "IANA Allocations for pseudo
   Wire Edge to Edge Emulation (PWE3)" [IANA].
<end quote>

Since RFC 3036 is the LDP Spec, I cannot but assume that the Status Codes
mentioned in Section 7.6 are LDP Statuc Codes mentioned in Section 7.2,
i.e. both sections refer to the same IANA registry.

However, Section 7.2 lists the required new values 
while Section 7.6 only contains a reference to 
draft-ietf-pwe3-iana-allocation-07.txt which, BTW, does not mention
any LDP status codes (it did mention them in the -06 version).

On a separate albeit related issue: 

Which LDP Status Code should be used if attempt to set up 
a FR Port Mode PW has been rejected due to 
difference in the DLCI Length at two end points? None of the
values listed in Section 7.2 looks like suitable, while
draft-ietf-pwe3-frame-relay-03.txt explicitly states that
FR Port Mode PWs can be only set up if both end points
use the same DLCI Length.

With best regards,
                                   Sasha Vainshtein
email:     [email-masked]
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)